Foreman - Bug #683

Including extra tables in the "Reports search" inside the reports controller, results in this error:
Description

Including extra tables in the reports controller results in this error:

Processing ReportsController#index (for 10.22.2.15 at 2011-02-17 10:50:56) [GET]

Parameters: {"search"=>{"interesting"=>"false", "host_name_like"=>"utill.gai", "order"=>"descend
_by_created_at", "sources_value_like"=>"",6 "reported_at_gt"=>"[FILTERED]", "messages_value_like"=>
"yum"}, "commit"=>"Go", "tab_name"=>"", "action"=>"index", "controller"=>"reports"}

ActiveRecord: :StatementInvalid (Mysql::Error: Not unique table/alias: 'hosts': SELECT ‘reports . i
d” AS t0_r0, “reports’ . host_id’ AS tO_rl, ‘“reports' . reported_at’® AS t0_r2, “reports . created_at

AS t0_r3, "reports . updated_at® AS tO_r4, “reports . status’ AS t0_r5, “reports . metrics’® AS t
0_r6, “hosts . id" AS tl_r0, “hosts . name’ AS tl_rl, “hosts . ip  AS tl_r2, “hosts . environment
AS tl_r3, "hosts . last_compile’ AS tl_r4, “hosts . last_freshcheck®™ AS tl_r5, “hosts . last_repo
rt® AS tl_r6, “hosts . updated_at® AS tl_r7, “hosts' . source_file_id " AS tl_r8, “hosts . created_a
t’ AS tl_r9, “hosts . mac’ AS tl_rl10, “hosts . sp_mac’ AS tl_rll, “hosts . sp_ip’ AS tl_rl2, "host
s’ . sp_name’ AS tl_rl13, “hosts . root_pass’ AS tl_rl4, “hosts . serial’ AS tl_rl5, "hosts . puppet
master® AS tl_rl6, “hosts’ . puppet_status® AS tl_rl7, “hosts . domain_id" AS tl_rl18, “hosts . arch
itecture_id® AS tl1_rl1l9, "hosts . operatingsystem_id® AS tl_r20, "hosts . environment_id  AS tl_r21
, “hosts’ . subnet_id® AS tl_r22, “hosts . sp_subnet_id " AS tl_r23, “hosts . ptable_id' AS tl_r24,
“hosts™ . medium_id" AS tl_r25, “hosts . build AS tl_r26, “hosts . comment™ AS tl_r27, “hosts . di
sk®™ AS tl_r28, “hosts . installed_at®™ AS tl_r29, “hosts . model_id® AS tl_r30, “hosts . hostgroup_
id® AS tl_r31, “hosts . owner_id  AS tl_r32, “hosts' . owner_type  AS tl_r33, "hosts . enabled  AS
tl_r34, “domains’. id’ AS t2_r0, “domains’ . name’ AS t2_rl, “domains’ . fullname'® AS t2_r2, ‘domain
s’ . created_at® AS t2_r3, “domains’. updated_at® AS t2_r4, ‘domains . dns_id® AS t2_r5 FROM " repor
ts® LEFT OUTER JOIN “hosts’® ON “hosts’ .id = “reports’ .host_id LEFT OUTER JOIN "domains™ ON °doma
ins®.id = "hosts’ .domain_id INNER JOIN "hosts® ON "hosts’.id = "reports’ .host_id INNER JOIN " logs"
ON "logs’ . report_id' = “reports . id’ INNER JOIN "messages ON "logs . message_id = "messages .
"id® WHERE ((hosts.name LIKE 'Sutill.gai%') AND (messages.value LIKE 'Syum%')) ORDER BY reports.c
reated_at DESC LIMIT 0, 20):

app/controllers/reports_controller.rb:24:in "index'

passenger (2.2.14) lib/phusion_passenger/rack/request_handler.rb:92:in “process_request'

passenger (2.2.14) lib/phusion_passenger/abstract_request_handler.rb:207:in ‘main_loop'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:441:in 'start_request_hand
ler'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:381l:in “handle_spawn_appli
cation'

passenger (2.2.14) lib/phusion_passenger/utils.rb:252:in “safe_fork'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:377:in “handle_spawn_appli
cation'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in "_ send_ '

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in "main_loop'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in "“start_synchronously'
passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:163:in " start'

passenger (2.2.14) lib/phusion_passenger/railz/application_spawner.rb:222:in "start'
passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:262:in ~spawn_rails_application'
passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:126:in " lookup_or_add’'
passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:256:in "spawn_rails_application'
passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:80:in "~synchronize'
passenger (2.2.14) lib/phusion_passenger/abstract_server_collection.rb:79:in "~synchronize'
passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:255:in 'spawn_rails_application'
passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:154:in "~ spawn_application'
passenger (2.2.14) lib/phusion_passenger/spawn_manager.rb:287:in "handle_spawn_application'
passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in "_ send_ '

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:352:in "main_loop'

passenger (2.2.14) lib/phusion_passenger/abstract_server.rb:196:in "“start_synchronously'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Patch is attached.

Associated revisions

Revision d2487f16 - 02/22/2011 04:26 AM - Bash Shell

Fixes #683 - Report list sometimes fail to generate the correct SQL query

History

#1 - 02/22/2011 05:25 AM - Bash Shell
- Status changed from New to Ready For Testing
- % Done changed from 0 to 100

Applied in changeset d2487f162df678a5d090c999de90c716aa988048.

#2 - 02/22/2011 07:08 AM - Ohad Levy

- Category set to Database

- Status changed from Ready For Testing to Closed
- Assignee set to Bash Shell

- Target version set to 0.2

Files

0001-Do-not-include-host-domain-in-reports-search.patch 869 Bytes 02/21/2011 Bash Shell
